Summary:	Web based Javascript HTML WYSIWYG editor control
Name:		tinymce
Version:	3.4.3.2
Release:	3%{?dist}
Group:		Applications/Publishing
License:	LGPLv2+
URL:		http://tinymce.moxiecode.com

Source0:	http://cloud.github.com/downloads/tinymce/tinymce/%{name}_%{version}.zip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
TinyMCE is a platform independent web based Javascript HTML WYSIWYG
editor control released as by Moxiecode Systems AB. It has the ability 
to convert HTML TEXTAREA fields or other HTML elements to editor instances.
TinyMCE is very easy to integrate into other CMS systems.

%prep
%setup -q -n %{name}
# Convert to UTF-8
for file in changelog.txt ./jscripts/tiny_mce/license.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done
# Convert from DOS to UNIX line endings
for file in changelog.txt ./jscripts/tiny_mce/license.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done



%build
# Nothing here, since it is webapp
# so, nothing has to be compiled


%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/%{name}
cp -pr * ${RPM_BUILD_ROOT}%{_datadir}/%{name}
# Remove unnecessary src *.js files
find ${RPM_BUILD_ROOT} -name '*_src.js' | xargs rm
# Remove empty files to make rpmlint happy
find ${RPM_BUILD_ROOT} -empty -exec rm -f {} \;
# Set the appropriate permissions, since unzip doesn't
chmod -R 755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}
find ${RPM_BUILD_ROOT}%{_datadir}/%{name} -type f | xargs chmod 644
# These are docs, remove them from here, docify them later
rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/{changelog.txt,jscripts/tiny_mce/license.txt}
# Remove spellchecker plugin, we have separate package for that
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/jscripts/tiny_mce/plugins/spellchecker

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples
%doc changelog.txt
%dir %{_datadir}/%{name}/jscripts
%dir %{_datadir}/%{name}/jscripts/tiny_mce
%{_datadir}/%{name}/jscripts/tiny_mce/langs
%{_datadir}/%{name}/jscripts/tiny_mce/themes
%{_datadir}/%{name}/jscripts/tiny_mce/utils
%{_datadir}/%{name}/jscripts/tiny_mce/*.js
%doc jscripts/tiny_mce/license.txt
%{_datadir}/%{name}/jscripts/tiny_mce/plugins


%changelog
* Mon Jul 11 2011 Neal Gompa <ngompa13{%}gmail{*}com> - 3.4.3.2-3
- Update to 3.4.3.2
- Remove hard dependency on httpd
- Change to new source URL
* Mon Jun 28 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 3.3.7-2
- Remove explicit unzip BuildRequires
* Sun Jun 27 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 3.3.7-1
- Initial package created

